from typing import List
from typing import Optional

from dataclasses import dataclass


@dataclass
class LinkAllModel:
    app_label: str
    model_name: str
    verbose_name: Optional[str] = None
    
    def __post_init__(self):
        self.app_label = self.app_label.lower()
        self.model_name = self.model_name.lower()


LINK_ALL_MODELS: List[LinkAllModel] = [
    LinkAllModel(app_label='djangocms_blog', model_name='Post'),
    LinkAllModel(app_label='cms', model_name='Page'),
]
